ATAPI devices malfunctioning

Bug #231575 reported by Cris on 2008-05-18
96
This bug affects 10 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Medium
linux (Ubuntu)
Medium
Unassigned
Nominated for Hardy by Jesse Gilles

Bug Description

I'm experiencing problems with my ATAPI devices:
suddenly they stop working properly and get uncontrollable/disappear, while I got such errors from the kernel:

> ...
> [ 1896.913061] ata4.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
> [ 1896.913075] ata4.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
> [ 1896.913077] cdb 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
> [ 1896.913078] res 40/00:03:00:08:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
> [ 1896.913082] ata4.00: status: { DRDY }
> [ 1896.913105] ata4: soft resetting link
> [ 1897.405033] ata4.00: configured for PIO0
> [ 1897.405052] ata4: EH complete
> ...

I'm not sure if due to this troubles, but I had to remove a DVD-ROM device from the system because a audio cdrom literally exploded (probably due to too high speed?) and kept getting these errors for the other device, a DVD-RW.

Both devices are Lite-On products and attached on the A8V Deluxe motherboards' IDE connectors.

I'm going to attach additional information to this report: please, let me know if you need any other details.

Thank you in advance for your help!

Cris (cristiano.p) wrote :
Cris (cristiano.p) wrote :
Cris (cristiano.p) wrote :
kiev1 (sys-sys-admin) wrote :
Jesse Gilles (jesse-gilles) wrote :
Download full text (5.4 KiB)

I can confirm this problem with my hardware.

Lite-On DVD-RW SHW-160P6S
MSI K9VGM-V mainboard
AMD Athlon X2 5200+
SATA hard drive

The dvd drive will work just fine for many hours and then stop working for no apparent reason, even when idle. It then becomes inaccessible until reboot. Once the errors begin, the driver starts dropping the access speed until it reaches PIO0. Here are my messages from last night...I wasn't using the machine when the errors started appearing.

Jun 17 22:51:31 jjg-linux -- MARK --
Jun 17 23:11:31 jjg-linux -- MARK --
Jun 17 23:26:39 jjg-linux kernel: [26715.181580] cdb 43 00 00 00 00 00 00 00 0c 00 00 00 00 00 00 00
Jun 17 23:26:39 jjg-linux kernel: [26715.181581] res 40/00:03:00:0c:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
Jun 17 23:26:39 jjg-linux kernel: [26715.181596] ata1: soft resetting link
Jun 17 23:26:39 jjg-linux kernel: [26715.382762] ata1.00: configured for UDMA/33
Jun 17 23:26:39 jjg-linux kernel: [26715.382769] ata1: EH complete
Jun 17 23:27:09 jjg-linux kernel: [26726.896444] cdb 43 00 00 00 00 00 00 00 0c 00 00 00 00 00 00 00
Jun 17 23:27:09 jjg-linux kernel: [26726.896445] res 40/00:03:00:0c:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
Jun 17 23:27:09 jjg-linux kernel: [26726.896457] ata1: soft resetting link
Jun 17 23:27:10 jjg-linux kernel: [26727.097628] ata1.00: configured for UDMA/33
Jun 17 23:27:10 jjg-linux kernel: [26727.097634] ata1: EH complete
Jun 17 23:27:40 jjg-linux kernel: [26738.611311] cdb 43 00 00 00 00 00 00 00 0c 00 00 00 00 00 00 00
Jun 17 23:27:40 jjg-linux kernel: [26738.611312] res 40/00:03:00:0c:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
Jun 17 23:27:40 jjg-linux kernel: [26738.611326] ata1: soft resetting link
Jun 17 23:27:40 jjg-linux kernel: [26738.812494] ata1.00: configured for UDMA/33
Jun 17 23:27:40 jjg-linux kernel: [26738.812499] ata1: EH complete
Jun 17 23:28:10 jjg-linux kernel: [26750.326167] ata1.00: limiting speed to UDMA/25:PIO4
Jun 17 23:28:10 jjg-linux kernel: [26750.326180] cdb 43 00 00 00 00 00 00 00 0c 00 00 00 00 00 00 00
Jun 17 23:28:10 jjg-linux kernel: [26750.326180] res 40/00:03:00:0c:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
Jun 17 23:28:10 jjg-linux kernel: [26750.326192] ata1: soft resetting link
Jun 17 23:28:11 jjg-linux kernel: [26750.527361] ata1.00: configured for UDMA/25
Jun 17 23:28:11 jjg-linux kernel: [26750.527371] ata1: EH complete
Jun 17 23:28:11 jjg-linux kernel: [26750.527388] sr: Sense Key : Aborted Command [current] [descriptor]
Jun 17 23:28:11 jjg-linux kernel: [26750.527393] sr: Add. Sense: No additional sense information
Jun 17 23:28:41 jjg-linux kernel: [26762.041044] cdb 25 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
Jun 17 23:28:41 jjg-linux kernel: [26762.041045] res 40/00:03:00:0c:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
Jun 17 23:28:41 jjg-linux kernel: [26762.041057] ata1: soft resetting link
Jun 17 23:28:41 jjg-linux kernel: [26762.242278] ata1.00: configured for UDMA/25
Jun 17 23:28:41 jjg-linux kernel: [26762.242284] ata1: EH complete

Here are the driver prints when my machine boots and detects the attached hardware:

Jun 17 0...

Read more...

Changed in linux:
status: New → Confirmed
Jesse Gilles (jesse-gilles) wrote :

I should add that I'm experiencing this with Hardy (8.04), kernel 2.6.24-19-generic x86_64. I don't believe I had this problem with Gutsy.

Cris (cristiano.p) wrote :

Some days ago, tired of not being able to use the devices fully, I've installed an extension SATA controller card based on the Sil 3114:
a similar problem showed up for some newly acquired SATA optical devices.

The problem seems to have disappeared after I've installed the extension card on a PCI slot with a reserved IRQ.

As the on-board SATA controller shares the IRQ with other devices on the motherboard, I'm asking myself if probably the problem is due to the ata driver not working properly with ATAPI devices on a controller in such configuration :/

pltxtra (pltxtra) wrote :

Isn't #249228 a duplicate of this?

Jesse Gilles (jesse-gilles) wrote :

Yes, it does appear to be a duplicate.

Thanks for pointing out that #249228 is a duplicate.

The following suggestions have been made on other threads:

1) Set kernel parameter combined_mode=libata
  Doesn't seem to make any difference.

2) Set kernel parameter libata.dma=1. Not sure how to do this, but I created
/etc/modprobe.d/libata-options and put
options libata dma=1
in it. Now
$ cat /sys/module/libata/parameters/dma
1
where it was 7 before. So it looks like the value has changed. Again, this doesn't seem to make any difference.

Does anyone have any other suggestions?

Thanks,
Richard

x (dvice-null) wrote :

I also get similar errors with Samsung DVD RW drive, sh-s223. CPU is AMD 64, but I'm running 32 bit version.

[ 25.475501] ata4: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
[ 25.811158] ata4.00: configured for UDMA/66
[ 25.811167] ata4: EH complete
[ 25.811740] ata4.00: exception Emask 0x10 SAct 0x0 SErr 0x180001 action 0x2
[ 25.811743] ata4: SError: { RecovData 10B8B Dispar }
[ 25.811749] ata4.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
[ 25.811751] cdb 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[ 25.811752] res 51/20:03:00:00:00/00:00:00:00:00/a0 Emask 0x10 (ATA bus error)
[ 25.811755] ata4.00: status: { DRDY ERR }
[ 26.122492] ata4: soft resetting link

The DVD drive does not work, except if I boot the computer with DVD disk on the drive. In such case the DVD seems to work, but I think I still get errors in that case.

Lars Wuckel (lars-wuckel) wrote :
Download full text (3.3 KiB)

I get that error too.

My DVD drive is a Samsung SH-S202N SB01.

Kernel message:

[ 38.388743] ata8.00: ATAPI: TSSTcorp CDDVDW SH-S202N, SB01, max UDMA/66
[ 38.555566] scsi 8:0:0:0: CD-ROM TSSTcorp CDDVDW SH-S202N SB01 PQ: 0 ANSI: 5

CPU: AMD 64
Ubuntu: 8.04

$ lspci
00:00.0 Host bridge: VIA Technologies, Inc. VT3351 Host Bridge
00:00.1 Host bridge: VIA Technologies, Inc. VT3351 Host Bridge
00:00.2 Host bridge: VIA Technologies, Inc. VT3351 Host Bridge
00:00.3 Host bridge: VIA Technologies, Inc. VT3351 Host Bridge
00:00.4 Host bridge: VIA Technologies, Inc. VT3351 Host Bridge
00:00.5 PIC: VIA Technologies, Inc. VT3351 I/O APIC Interrupt Controller
00:00.7 Host bridge: VIA Technologies, Inc. VT3351 Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. [K8T890 North / VT8237 South] PCI Bridge
00:02.0 PCI bridge: VIA Technologies, Inc. K8T890 PCI to PCI Bridge Controller
00:03.0 PCI bridge: VIA Technologies, Inc. K8T890 PCI to PCI Bridge Controller
00:03.1 PCI bridge: VIA Technologies, Inc. K8T890 PCI to PCI Bridge Controller
00:03.2 PCI bridge: VIA Technologies, Inc. K8T890 PCI to PCI Bridge Controller
00:03.3 PCI bridge: VIA Technologies, Inc. K8T890 PCI to PCI Bridge Controller
00:09.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 61)
00:09.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 61)
00:09.2 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 63)
00:09.3 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller (rev 46)
00:0a.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture (rev 02)
00:0a.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 02)
00:0f.0 IDE interface: VIA Technologies, Inc. VT8237A SATA 2-Port Controller (rev 80)
00:0f.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 07)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8237A PCI to ISA Bridge
00:11.7 Host bridge: VIA Technologies, Inc. VT8251 Ultra VLINK Controller
00:13.0 Host bridge: VIA Technologies, Inc. VT8237A Host Bridge
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
02:00.0 SATA controller: JMicron Technologies, Inc. JMicron 20360/20363 AHCI Controller (rev 02)
02:00.1 IDE interface: JMicron Technologies, Inc. JMicron 20360/20363 AHCI Controller (rev 02)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Expres...

Read more...

Lars Wuckel (lars-wuckel) wrote :

I tried an IDE-USB adapter with the Samsung SH-S202N dvdrw drive. There are no errors.
So the drive is ok. Only the libata driver failed. I can burn dvds with a 4x speed withou errors.

If you have an dma error you should remove the dvd-drive and connect it with an usb-adapter until the error from libata is fixed.

ollie (ollie-ollie) wrote :

Same problem here. Two LG DVDRW drives sharing the IDE (HD on SATA). Motherboard Asus P5GC-MX, Intel chipset. After a while, nothing mounts anymore in either drive. It's incredibly frustrating.

[41076.936941] ata1.01: status: { DRDY }
[41080.515158] ata1: soft resetting link
[41081.170442] ata1.00: configured for UDMA/66
[41081.342094] ata1.01: configured for UDMA/33
[41081.342108] ata1: EH complete
[41410.291572] ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[41410.291586] ata1.01: cmd a0/00:00:00:00:00/00:00:00:00:00/b0 tag 0
[41410.291588] cdb 1b 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00
[41410.291590] res 40/00:03:00:08:00/00:00:00:00:00/a0 Emask 0x4 (timeout)

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Jesse Gilles (jesse-gilles) wrote :

I upgraded my kernel to 2.6.27-2-generic and I am still seeing the same problem.

Hi,

I've tried a fresh install of intrepid ibex alpha 5 and upgraded everything as of 13.31 UK time on 13 Sept 2008

uname -a reports
Linux intrepidibex 2.6.27-3-generic #1 SMP Wed Sep 10 16:02:00 UTC 2008 i686 GNU/Linux

The boot drive is on SATA, the DVD drive is on IDE.

After about an hour of uptime the usual messgaes were repeated:

[ 4176.344470] ata6.01: configured for UDMA/25
[ 4176.344485] ata6: EH complete
[ 4186.344472] ata6.01: limiting speed to PIO4
[ 4186.344480] ata6.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
[ 4186.344489] ata6.01: cmd a0/00:00:00:00:00/00:00:00:00:00/b0 tag 0
[ 4186.344490] cdb 1e 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00
[ 4186.344491] res 40/00:02:00:08:00/00:00:00:00:00/b0 Emask 0x4 (timeout)
[ 4186.344495] ata6.01: status: { DRDY }
[ 4186.344515] ata6: soft resetting link
[ 4186.733230] ata6.01: configured for PIO4
[ 4186.733247] ata6: EH complete
[ 4196.732036] ata6.01: limiting speed to PIO3
[ 4196.732044] ata6.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
[ 4196.732053] ata6.01: cmd a0/00:00:00:00:00/00:00:00:00:00/b0 tag 0
[ 4196.732054] cdb 1e 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00
[ 4196.732056] res 40/00:02:00:08:00/00:00:00:00:00/b0 Emask 0x4 (timeout)
[ 4196.732059] ata6.01: status: { DRDY }
[ 4196.732079] ata6: soft resetting link
[ 4197.121243] ata6.01: configured for PIO3
[ 4197.121270] ata6: EH complete

Is there anything else you would like to try? Will you open a bug report on the 2.6.27 kernel?

Is there anyway of following up this report on the linux kernel mailing list
http://www.uwsg.iu.edu/hypermail/linux/kernel/0805.2/4003.html

Cheers,
Richard

kiev1 (sys-sys-admin) wrote :

Try using Debian

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Confirmed → Triaged
SnakePlisken (jasonkrolo) wrote :

Its strictly important to take care of this Problem, it's not possible to work seriously wit that.

Oct 22 18:44:11 x23800 kernel: [12043.438403] cdb 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
Oct 22 18:44:11 x23800 kernel: [12043.438405] res 40/00:03:00:08:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
Oct 22 18:44:11 x23800 kernel: [12043.438423] ata3: soft resetting link
Oct 22 18:44:11 x23800 kernel: [12043.680082] ata3.00: configured for PIO0
Oct 22 18:44:11 x23800 kernel: [12043.680095] ata3: EH complete
Oct 22 18:44:41 x23800 kernel: [12058.649760] cdb 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
Oct 22 18:44:41 x23800 kernel: [12058.649761] res 40/00:03:00:08:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
Oct 22 18:44:41 x23800 kernel: [12058.649780] ata3: soft resetting link
Oct 22 18:44:42 x23800 kernel: [12058.891446] ata3.00: configured for PIO0
Oct 22 18:44:42 x23800 kernel: [12058.891462] ata3: EH complete

Hardware is ordinary with an Athlon X2, an Asus Board, 2 Sata Samsungs and 2 ordinary EIDE Atapi devices.

Touch wood I have a workaround which is to install a VIA VT6421A 3 PORT SATA SERIAL ATA + 1 ATA PCI CONTROLLER CARD retails less than 10GBP. Connecting the ATAPI device to the IDE port everything has been fine for at least 3 days. It is a bit of a punt in the dark as a similar MAXTOR card with a Promise controller didn't work, it looks like Promise controllers don't recognise ATAPI devices. The downside it is no longer possible to boot from the ATAPI device.

Cheers,
Richard

pliz (pliz) wrote :

I have the same problem with a motherboard on VIA chipset. The same exact symptoms with the errors starting to happen after a while and then DVD becomes useless. Here is a sample from dmesg output:

[59854.156089] ata4.00: status: { DRDY ERR }
[59854.156109] ata4: soft resetting link
[59854.368376] ata4.00: configured for PIO0
[59854.368398] ata4: EH complete
[59897.660057] ata4.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
[59897.660070] ata4.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
[59897.660071] cdb 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[59897.660072] res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
[59897.660076] ata4.00: status: { DRDY }
[59897.660095] ata4: soft resetting link
[59897.872383] ata4.00: configured for PIO0
[59897.872396] ata4: EH complete

This happens with intrepid and hardy

pliz (pliz) wrote :

The problem remains in all of the following cases:

boot from the USB drive
boot from the SATA disk
insert SATA PCI card, connect SATA HDD through the card and boot from either USB or the disk

SnakePlisken (jasonkrolo) wrote :

imho it helps, disabling plug&play in system bios.

with a new amd 780g board i have almost the same problem, disabling plug&play reduces my failure messages above, to a few messages about many hours. But even the newest linux kernel (2.6.27) makes my dvd-recorder light, also my dvd-recorder carrier works often bad.

With my old via bord disabling plug&play helps to reduce error messages in a rapid way, so i suggest all with these probs to try the same.

best wishes.

pliz (pliz) wrote :

Thank you for the advice. PnP was already disabled in my BIOS. However, it looks like I found a solution. I did the following:

1. downloaded .config for the latest debian kernel (I guess 2.6.26)
2. downloaded the latest kernel (2.7.27.7) from kernel.org
3. compiled it the usual debian/ubuntu(make-kpkg) way using the downloaded .config (with minor almost random modifications)
4. bootted into the custom kernel.

Yesterday I have tested my system for 3-4 hours burning disks, doing cat ./* > /dev/null on several CDs and DVD disks for some manytimes just to make sure.

I have not seen a single message of the kind reported above. It is close to 24hours of constant work without these problems. Although I keep my fingers crossed. If the solution is really working is there a way to keep a standard debian kernel in my ubuntu sources. I just want all the security patches and the stability of debian kernel :-)

May be that is a hint to ubuntu kernel team to check what they have tweaked wrong?

Jason Bodycott (jbodycott) wrote :

I'm having the same issue with the problem only occurring under the 2.6.27 kernel. Hardy on the same box does NOT display this problem. Both releases of 2.6.27 in Intrepid (-7 and -9) are exhibiting this problem on my PC.

Gerrit Trawoger (gtrawoger) wrote :

I can confirm the error messages on my dad's A8V Deluxe (VIA K8T800). I started a thread over at ubuntuforums.org earlier (I couldn't find this bug report before that):

http://ubuntuforums.org/showthread.php?p=6328421

I found an old thread that seemed to have a similar issue. I outlined some of things I did to lessen the problem. I couldn't make it go away yet.

I also found this thread over at the fedora camp, which described the same issue:

http://forums.fedoraforum.org/showthread.php?t=192186

BTW, my dad is using Intrepid with 2.6.27-9-generic kernel.

x (dvice-null) wrote :

I have the problem and this is my motherboard:

  product: A8S-X
  vendor: ASUSTeK Computer INC.
  chipset: SiS 756 and SiS 965L

Gerrit Trawoger (gtrawoger) wrote :

For now we purchased a PCI ATA card (just like it was mentioned in a previous post) and got the DVD drive working on that. No more errors.

The computer still freezes at times on *heavy* websites or while watching some movies. It doesn't seem to be related to the drive anymore though.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Jesse Gilles (jesse-gilles) wrote :

I finally got tired enough of this bug (since pretty much every time I go to use my DVD drive it is useless unless you reboot) and downgraded my kernel to 2.6.22-16 (from gutsy). I never had this issue while running gutsy and switching back to the gutsy kernel has worked around the problem for me (currently running hardy).

Mike Homer (homerhomer) wrote :

[ 772.393541] sr 3:0:0:0: ioctl_internal_command return code = 8000002
[ 772.393546] : Sense Key : Aborted Command [current] [descriptor]
[ 772.393555] : Add. Sense: No additional sense information
[ 802.393508] ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
[ 802.393534] ata3.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
[ 802.393537] cdb 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[ 802.393539] res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
[ 802.393548] ata3.00: status: { DRDY }
[ 802.393581] ata3: soft resetting link
[ 802.565507] ata3.00: configured for PIO0
[ 802.565542] ata3: EH complete

I have this issue too

:(

Currently running update to date Intrepid

> Date: Thu, 2 Apr 2009 20:53:18 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 231575] Re: ATAPI devices malfunctioning
>
> [ 772.393541] sr 3:0:0:0: ioctl_internal_command return code = 8000002
> [ 772.393546] : Sense Key : Aborted Command [current] [descriptor]
> [ 772.393555] : Add. Sense: No additional sense information
> [ 802.393508] ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
> [ 802.393534] ata3.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
> [ 802.393537] cdb 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
> [ 802.393539] res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
> [ 802.393548] ata3.00: status: { DRDY }
> [ 802.393581] ata3: soft resetting link
> [ 802.565507] ata3.00: configured for PIO0
> [ 802.565542] ata3: EH complete
>
> I have this issue too
>
> :(
>
> Currently running update to date Intrepid
>
> --
> ATAPI devices malfunctioning
> https://bugs.launchpad.net/bugs/231575
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” source package in Ubuntu: Triaged
>
> Bug description:
> I'm experiencing problems with my ATAPI devices:
> suddenly they stop working properly and get uncontrollable/disappear, while I got such errors from the kernel:
>
> > ...
> > [ 1896.913061] ata4.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
> > [ 1896.913075] ata4.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
> > [ 1896.913077] cdb 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
> > [ 1896.913078] res 40/00:03:00:08:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
> > [ 1896.913082] ata4.00: status: { DRDY }
> > [ 1896.913105] ata4: soft resetting link
> > [ 1897.405033] ata4.00: configured for PIO0
> > [ 1897.405052] ata4: EH complete
> > ...
>
> I'm not sure if due to this troubles, but I had to remove a DVD-ROM device from the system because a audio cdrom literally exploded (probably due to too high speed?) and kept getting these errors for the other device, a DVD-RW.
>
> Both devices are Lite-On products and attached on the A8V Deluxe motherboards' IDE connectors.
>
> I'm going to attach additional information to this report: please, let me know if you need any other details.
>
> Thank you in advance for your help!

Hi,
I think this issue is caused by the libata kernel driver, i solved the problem by changing my harddrives.
But I can't promise, that it'll help.
I think the problem is the libata kernel driver.

Best wishes

_________________________________________________________________
http://redirect.gimas.net/?n=M0904xIE8_MSN3
Hol Dir den neuen Internet Explorer 8 mit MSN-Toolbar

Jesse Gilles (jesse-gilles) wrote :

Has anyone tried jaunty to see if it still has this issue?

Mihai Tanasescu (mihai-duras) wrote :

I might have an answer to that last question:

[ 1707.000060] ata7.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
[ 1707.000068] ata7.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
[ 1707.000069] cdb 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[ 1707.000071] res 40/00:02:00:08:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
[ 1707.000074] ata7.00: status: { DRDY }
[ 1712.040086] ata7: link is slow to respond, please be patient (ready=0)
[ 1717.020020] ata7: device not ready (errno=-16), forcing hardreset
[ 1717.020032] ata7: soft resetting link
[ 1722.220017] ata7: link is slow to respond, please be patient (ready=0)

root@Mihai:~# cat /etc/issue
Ubuntu 9.04 \n \l

Is there any workaround for this ?

Gerrit Trawoger (gtrawoger) wrote :

As previously mentioned, it looks like a libata driver issue with VIA chipsets. I read on linuxquestions.org that some on Fedora are having a similar problem, so it is not Ubuntu specific. Rather it seems to be a VIA chipset + libata issue.

Sadly, the way we solved it is by purchasing a new motherboard + CPU. I surely will stay clear from VIA chipsets in the future!

pliz (pliz) wrote :

Gerrit, I do not think that is the only possible solution, since I am using a different one and it works. See my post above about compiling a custom kernel using .config from Debian. Did you try that in your case?

Gerrit Trawoger (gtrawoger) wrote :

@pliz

No, I never compiled a straight Debian kernel on it. I never really had success in the past with that (rather noobish with that). I guess we could have tried and I am not suggesting buying a new computer as a solution. My dad just ran out of patience and he lives on the other side of the continent from me. So we needed a *quicker* solution. Sorry.

Jesse Gilles (jesse-gilles) wrote :

I can also confirm that this still exists in the jaunty kernel with pata_via. Using jaunty, libata doesn't throttle the bus speed down repeatedly anymore, but still disables the device. Has anyone found any activity in the kernel lists about this? I did some searching, but found mostly old entries that didn't look like they were going to lead to a fix.

New error output:
[147852.989031] ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
[147852.989039] ata3.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
[147852.989040] cdb 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[147852.989041] res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
[147852.989044] ata3.00: status: { DRDY }
[147852.989064] ata3: soft resetting link
[147853.201241] ata3.00: configured for UDMA/66
[147858.201027] ata3.00: qc timeout (cmd 0xa0)
[147858.201035] ata3.00: TEST_UNIT_READY failed (err_mask=0x5)
[147858.201055] ata3: soft resetting link
[147858.413241] ata3.00: configured for UDMA/66
[147863.413026] ata3.00: qc timeout (cmd 0xa0)
[147863.413032] ata3.00: TEST_UNIT_READY failed (err_mask=0x5)
[147863.413036] ata3.00: limiting speed to UDMA/66:PIO3
[147863.413055] ata3: soft resetting link
[147863.625256] ata3.00: configured for UDMA/66
[147868.625029] ata3.00: qc timeout (cmd 0xa0)
[147868.625036] ata3.00: TEST_UNIT_READY failed (err_mask=0x5)
[147868.625039] ata3.00: disabled
[147868.625071] ata3: soft resetting link
[147868.781077] ata3: EH complete

detection output when driver is loaded:
[ 2.268084] pata_via 0000:00:0f.1: version 0.3.3
[ 2.268208] scsi2 : pata_via
[ 2.268259] scsi3 : pata_via
[ 2.269302] ata3: PATA max UDMA/133 cmd 0x1f0 ctl 0x3f6 bmdma 0xfa00 irq 14
[ 2.269304] ata4: PATA max UDMA/133 cmd 0x170 ctl 0x376 bmdma 0xfa08 irq 15
[ 2.448363] ata3.00: ATAPI: LITE-ON DVDRW SHW-160P6S, PS0A, max UDMA/66
[ 2.480237] ata3.00: configured for UDMA/66
[ 2.480775] ata4: port disabled. ignoring.
[ 2.481610] scsi 2:0:0:0: CD-ROM LITE-ON DVDRW SHW-160P6S PS0A PQ: 0 ANSI: 5
[ 2.483518] sr0: scsi3-mmc drive: 62x/62x writer cd/rw xa/form2 cdda tray
[ 2.483520] Uniform CD-ROM driver Revision: 3.20
[ 2.483585] sr 2:0:0:0: Attached scsi CD-ROM sr0
[ 2.483610] sr 2:0:0:0: Attached scsi generic sg2 type 5

Changed in linux:
status: Unknown → Confirmed
Jesse Gilles (jesse-gilles) wrote :

After getting feedback from the linux kernel bugzilla, I worked around my timeout errors by disabling media detection polling. I'd rather have a working drive than auto-mounting.

'hal-disable-polling --device /dev/sr0' (assuming your device is /dev/sr0)

Thankfully, this stays in effect permanently (even with reboot) until it is changed and the command nicely tells you the file it creates to make the config change.

Does this work (or not work) for anyone else?

terakin (terakinizers) wrote :

Hey,

   Is this a same bug? I am experiencing DVD drive related troubles in these months and it resembles our symptoms.

* Symptom
- DVD writing randomly fails (sometimes OK, sometimes bad)
- DVD drive reading frequently fails.
- Reading DVDs from ISO image are OK
- Trying DVD playing in Windows is OK
- Trying DVD reading/writing using USB-attached DVD drive is OK
- Some I/O error messages found in /var/log/messages, like this
Jun 16 20:27:16 <computer name> kernel: [62767.178851] end_request: I/O error, dev sr0, sector 45904

  Here is log messages after mounting DVD disk.
Jun 17 17:37:53 <computer name> kernel: [ 1705.024273] UDF-fs: Partition marked readonly
; forcing readonly mount
Jun 17 17:37:53 <computer name> kernel: [ 1705.052214] UDF-fs INFO UDF 0.9.8.1 (2004/29/
09) Mounting volume 'PCBE_53310', timestamp 2009/04/13 12:41 (121c)
Jun 17 17:38:17 <computer name> kernel: [ 1723.589345] cdb a4 00 00 00 00 00 00
 00 00 10 c1 00 00 00 00 00
Jun 17 17:38:17 <computer name> kernel: [ 1723.589346] res 40/00:02:00:0c:00/00
:00:00:00:00/a0 Emask 0x4 (timeout)
Jun 17 17:38:18 <computer name> kernel: [ 1723.803249] ata1: soft resetting link
Jun 17 17:38:23 <computer name> kernel: [ 1727.400009] ata1: port is slow to respond, pl
ease be patient (Status 0xf8)
Jun 17 17:38:28 <computer name> kernel: [ 1731.269685] ata1: hard resetting link
Jun 17 17:38:28 <computer name> kernel: [ 1731.654005] ata1: SATA link up 1.5 Gbps (SSta
tus 113 SControl 310)
Jun 17 17:38:28 <computer name> kernel: [ 1731.912704] ata1.00: configured for UDMA/66
Jun 17 17:38:28 <computer name> kernel: [ 1731.912724] ata1: EH complete
Jun 17 17:38:28 <computer name> kernel: [ 1731.914444] sr0: disc change detected.
Jun 17 17:38:28 <computer name> kernel: [ 1731.922459] VFS: busy inodes on changed media.

* current workaround
  Disabling DMA feature.
- add
    options libata dma=1
  in /etc/modprobe.d/options
- Then,
  sudo cp /boot/initrd.img-`uname -r` /boot/initrd.img-`uname -r`.bak
  sudo mkinitramfs -o /boot/initrd.img-`uname -r`

   After reboot, the system is OK and I can read/write DVD with no problem. However, as DMA mode is off, the DVD playing is really slow and glitchy.

* System
- Coumputer: Dell OptiPlex 740
- CPU: AMD Athlon(tm) 64 X2 Dual Core Processor 5000+
- Peripheral chip: nVidia C51
  My system has internal additional SATA interface attached in the PCI bus. It uses Sil 3512 chipset. The DVD drive is attached to this SATA card.

    I hope this message helps.

tuke (tuke75) wrote :

Thank you Jesse Gilles for the work around! Yes indeed it works.

I had similar issue with Acer Aspire 5737Z laptop (kubuntu 9.04). After executing this "hal-disable-polling" command errors are gone now.

My laptop is having dvd-drive:
[ 6.787370] ata3.00: ATAPI: Optiarc DVD RW AD-7580S, FX04, max UDMA/100, ATAPI AN
[ 6.803615] scsi 2:0:0:0: CD-ROM Optiarc DVD RW AD-7580S FX04 PQ: 0 ANSI: 5
[ 6.809366] sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray

Changed in linux:
status: Confirmed → Invalid
pliz (pliz) wrote :

The bud is still present for me in the latest Jaunty and all intermediate updates since the bug report!

Norbert (asterix52) wrote :

In Karmic (alpha 5) the workaround "hal-disable-polling --device /dev/sr0" wont longer work!

I think the reason is devicekit (replaces hal).

Does any know how to diable the polling with devicekit?

I tried

devkit-disks --inhibit-polling /dev/sr0
and
devkit-disks --inhibit-all-polling /dev/sr0

without any success.

Norbert (asterix52) wrote :

With the last update it works again.

Thanks.

Architecture: amd64
Dependencies:

DistroRelease: Ubuntu 9.04
NonfreeKernelModules: nvidia
Package: linux None [modified: /var/lib/dpkg/info/linux.list]
PackageArchitecture: amd64
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_ZA.UTF-8
Uname: Linux 2.6.28-15-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare vboxusers

Tom Smith (tsmith) wrote :

@Jesse Giles:

hal-disable-polling --device /dev/sr0

fixed me back up, I have a working burner again. K3b no longer hangs for 20 minutes to later appear without a working burner.

My system is an Asus a-8v, AMD Athlon(tm) 64 X2 Dual Core Processor 3800+, running Hardy. Pretty sure chipset is via 8266, but it's a couple years old now.

Anton Piatek (anton-piatek) wrote :

I saw a similar issue on Kubuntu Jaunty - the above hal-disable-polling solved it for me

Changed in linux (Ubuntu):
status: Triaged → New
Jeremy Foshee (jeremyfoshee) wrote :

Hi Cristiano,

This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/lucid.

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 231575

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete

I installed 2.6.33 several days ago to test ATI KMS but it seems to have fixed this problem. I haven't tested enough to completely sure but as yet I've seen no sign of this bug. I've got to burn a lot of stuff over the next few days so if nobody else tests this I will at least.

Cris (cristiano.p) wrote :

It's quite some time I've upgraded my main system's motherboard and optical devices:
unfortunately I cannot test this issue anymore.

Download full text (5.9 KiB)

I found this bug report while searching for a solution to the same problem as I've been noticing similar behaviour in Ubuntu 10.04 Beta (amd64). My DVD drives worked for a short time after rebooting but would always fail after a short time, with dmesg containing lots of "TEST_UNIT_READY failed" messages.

The relevant messages in dmesg seemed to occur shortly after the VirtualBox vboxdrv driver is initialised

[ 630.250055] UDF-fs: No VRS found
[ 630.250059] UDF-fs: No partition found (1)
[ 632.742430] ISO 9660 Extensions: Microsoft Joliet Level 3
[ 632.844831] ISO 9660 Extensions: RRIP_1991A
[ 1321.639348] vboxdrv: Trying to deactivate the NMI watchdog permanently...
[ 1321.639352] vboxdrv: Successfully done.
[ 1321.639354] vboxdrv: Found 4 processor cores.
[ 1321.639671] VBoxDrv: dbg - g_abExecMemory=ffffffffa0373a20
[ 1321.639736] vboxdrv: fAsync=0 offMin=0x5b4 offMax=0x2e86
[ 1321.640051] vboxdrv: TSC mode is 'synchronous', kernel timer mode is 'normal'.
[ 1321.640051] vboxdrv: Successfully loaded version 3.1.6 (interface 0x00100001).
[ 1623.197066] warning: `VirtualBox' uses 32-bit capabilities (legacy support in use)
[ 1671.050022] ata5: lost interrupt (Status 0x58)
[ 1671.050049] ata5.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
[ 1671.050054] sr 4:0:0:0: [sr0] CDB: Get event status notification: 4a 01 00 00 10 00 00 00 08 00
[ 1671.050064] ata5.00: cmd a0/00:00:00:08:00/00:00:00:00:00/a0 tag 0 pio 16392 in
[ 1671.050065] res 58/00:02:00:08:00/00:00:00:00:00/a0 Emask 0x6 (timeout)
[ 1671.050067] ata5.00: status: { DRDY DRQ }
[ 1671.110022] ata5: soft resetting link
[ 1671.304629] ata5: nv_mode_filter: 0x1f39f&0x1f39f->0x1f39f, BIOS=0x1f000 (0xc5c00000) ACPI=0x1f01f (30:60:0x1f)
[ 1671.304634] ata5: nv_mode_filter: 0x739f&0x739f->0x739f, BIOS=0x7000 (0xc5c00000) ACPI=0x701f (30:60:0x1f)
[ 1671.344627] ata5.00: configured for UDMA/66
[ 1671.384617] ata5.01: configured for UDMA/33
[ 1676.380051] ata5.00: qc timeout (cmd 0xa0)
[ 1676.380057] ata5.00: TEST_UNIT_READY failed (err_mask=0x5)
[ 1676.380078] ata5: soft resetting link
[ 1676.586320] ata5: nv_mode_filter: 0x1f39f&0x1f39f->0x1f39f, BIOS=0x1f000 (0xc5c00000) ACPI=0x1f01f (30:60:0x1f)
[ 1676.586325] ata5: nv_mode_filter: 0x739f&0x739f->0x739f, BIOS=0x7000 (0xc5c00000) ACPI=0x701f (30:60:0x1f)
[ 1676.630323] ata5.00: configured for UDMA/66
[ 1676.671552] ata5.01: configured for UDMA/33
[ 1681.674829] ata5.00: qc timeout (cmd 0xa0)
[ 1681.674835] ata5.00: TEST_UNIT_READY failed (err_mask=0x5)
[ 1681.674838] ata5.00: limiting speed to UDMA/66:PIO3
[ 1681.674857] ata5: soft resetting link
[ 1681.880427] ata5: nv_mode_filter: 0x1f38f&0x1f39f->0x1f38f, BIOS=0x1f000 (0xc5c00000) ACPI=0x1f01f (30:60:0x1f)
[ 1681.880431] ata5: nv_mode_filter: 0x739f&0x739f->0x739f, BIOS=0x7000 (0xc5c00000) ACPI=0x701f (30:60:0x1f)
[ 1681.910346] ata5.00: configured for UDMA/66
[ 1681.953579] ata5.01: configured for UDMA/33
[ 1686.951368] ata5.00: qc timeout (cmd 0xa0)
[ 1686.951377] ata5.00: TEST_UNIT_READY failed (err_mask=0x5)
[ 1686.951380] ata5.00: disabled
[ 1686.951388] ata5.01: TEST_UNIT_READY failed (err_mask=0x40)
[ 1686.951416] ata5: soft resetting link
[ 1687.131795] at...

Read more...

Ignore my previous post, the DVD drives are still failing even without VirtualBox.

The bug #544548 might be related with this one.

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: VT82xx [HDA VIA VT82xx], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ricardo 1992 F.... pulseaudio
 /dev/snd/pcmC0D0p: ricardo 1992 F...m pulseaudio
CRDA: Error: [Errno 2] No existe el fichero ó directorio
Card0.Amixer.info:
 Card hw:0 'VT82xx'/'HDA VIA VT82xx at 0xdfdfc000 irq 17'
   Mixer name : 'Analog Devices AD1986A'
   Components : 'HDA:11d41986,1043818f,00100500'
   Controls : 37
   Simple ctrls : 21
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=8a29d6b0-6c67-45e3-9524-d35b240e4af6
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.

 vboxnet0 no wireless extensions.
MachineType: System manufacturer System Product Name
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcCmdLine: root=UUID=0d17b40a-0d93-43fd-860e-9ae85d102c61 ro quiet splash locale=es_ES
ProcEnviron:
 LANGUAGE=es_ES:es:en_GB:en
 PATH=(custom, user)
 LANG=es_ES.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Regression: Yes
RelatedPackageVersions: linux-firmware 1.34
Reproducible: Yes
RfKill:

Tags: lucid regression-potential needs-upstream-testing
Uname: Linux 2.6.32-21-generic i686
UserGroups: adm admin audio cdrom dialout dip fax floppy fuse libvirtd lpadmin netdev plugdev powerdev sambashare scanner tape video
WpaSupplicantLog:

dmi.bios.date: 06/16/2006
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: ASUS P5VD2-MX ACPI BIOS Revision 0301
dmi.board.name: P5VD2-MX
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: 1.XX
dmi.chassis.type: 3
dmi.chassis.version: 1111
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvrASUSP5VD2-MXACPIBIOSRevision0301:bd06/16/2006:svnSystemmanufacturer:pnSystemProductName:pvr:rvnASUSTeKComputerINC.:rnP5VD2-MX:rvr1.XX:cvn:ct3:cvr1111:
dmi.product.name: System Product Name
dmi.sys.vendor: System manufacturer

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux:
status: Invalid → Unknown
Changed in linux:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.